summaryrefslogtreecommitdiff
path: root/testprogs/blackbox/test_chgdcpass.sh
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2011-02-03 17:30:53 +1100
committerAndrew Tridgell <tridge@samba.org>2011-02-07 13:22:00 +1100
commitb49973404c4afb6e3f04a37f002655a3157542e3 (patch)
tree6ac03b3987b8a71f1f986d2117854336e7b58dbe /testprogs/blackbox/test_chgdcpass.sh
parent6484da4859fe9b00a7129d89e185bb7947621243 (diff)
downloadsamba-b49973404c4afb6e3f04a37f002655a3157542e3.tar.gz
samba-b49973404c4afb6e3f04a37f002655a3157542e3.tar.bz2
samba-b49973404c4afb6e3f04a37f002655a3157542e3.zip
blackbox: removed assumption of build directory
this fixes the blackbox tests for a top level build Pair-Programmed-With: Andrew Bartlett <abartlet@samba.org>
Diffstat (limited to 'testprogs/blackbox/test_chgdcpass.sh')
-rwxr-xr-xtestprogs/blackbox/test_chgdcpass.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/testprogs/blackbox/test_chgdcpass.sh b/testprogs/blackbox/test_chgdcpass.sh
index 7b89e5dcdd..c609efc312 100755
--- a/testprogs/blackbox/test_chgdcpass.sh
+++ b/testprogs/blackbox/test_chgdcpass.sh
@@ -21,9 +21,11 @@ shift 7
failed=0
samba4bindir="$BUILDDIR/bin"
+samba4srcdir="$SRCDIR/source4"
smbclient="$samba4bindir/smbclient$EXEEXT"
samba4kinit="$samba4bindir/samba4kinit$EXEEXT"
-machineaccountccache="$BUILDDIR/scripting/bin/machineaccountccache"
+
+machineaccountccache="$samba4srcdir/scripting/bin/machineaccountccache"
. `dirname $0`/subunit.sh
@@ -52,7 +54,7 @@ testit "kinit with keytab" $samba4kinit $enctype -t $PROVDIR/private/secrets.key
#This is important because it puts the ticket for the old KVNO and password into a local ccache
test_smbclient "Test login with kerberos ccache before password change" 'ls' -k yes || failed=`expr $failed + 1`
-testit "change dc password" ./scripting/devel/chgtdcpass -s $PROVDIR/etc/smb.conf || failed=`expr $failed + 1`
+testit "change dc password" $samba4srcdir/scripting/devel/chgtdcpass -s $PROVDIR/etc/smb.conf || failed=`expr $failed + 1`
#This is important because it shows that the old ticket remains valid (as it must) for incoming connections after the DC password is changed
test_smbclient "Test login with kerberos ccache after password change" 'ls' -k yes || failed=`expr $failed + 1`